System Requirements

Find out what you need to use TopoLT, ProfLT or TransLT

TopoLT V13

Supported operating systems:

  • Windows: XP / Vista/ 7 / 8 / 8.1 / 10

AutoCAD platforms:

  • AutoCAD (32-bit): 2007, 2008, 2009
  • AutoCAD (32-bit & 64-bit): 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021

BricsCAD platforms:

  • BricsCAD (Pro, Platinum, 32-bit & 64-bit): V16.2, V17.2, V18.2, V19.1, V19.2, V20, V21

ZWCAD platforms:

  • ZWCAD Pro (32-bit & 64-bit): 2019 SP2, 2020, 2021

ProfLT V13

Supported operating systems:

  • Windows: XP / Vista/ 7 / 8 / 8.1 / 10

AutoCAD platforms:

  • AutoCAD (32-bit): 2007, 2008, 2009
  • AutoCAD (32-bit & 64-bit): 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021

BricsCAD platforms:

  • BricsCAD (Pro, Platinum, 32-bit & 64-bit): V16.2, V17.2, V18.2, V19.1, V19.2, V20, V21

ZWCAD platforms:

  • ZWCAD Pro (32-bit & 64-bit): 2019 SP2, 2020, 2021

TransLT V5

Supported operating systems:

  • Windows (32bit/64bit): XP / Vista/ 7 / 8 / 8.1 / 10